// https://vitejs.dev/config/#build-polyfillmodulepreload
import 'vite/modulepreload-polyfill';

// Vue
import { createApp } from 'vue';

// if importing all is too much you can always do it manually
import GamuTable from './gamuTable.vue';
const components = {
	GamuTable,
};

// instantiate the Vue apps
// Note our lookup is a wrapping div with .vue-app class

for (const el of document.getElementsByClassName('vue-gamutable')) {
	createApp({
		template: el.innerHTML,
		components,
	}).mount(el);
}
